> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Users Resource

A new user is created when an account administrator or another authorized user sends an invitation to an email address. After the invitation is sent, the user's status is `pending`. When the recipient accepts the invitation, their user status switches to `active`.

## Inviting a user to a room

To invite a user to a room,
use the [Rooms: InviteUser](/docs/rooms-api/reference/Rooms/Rooms/InviteUser/) method.
You can invite anyone to join a room by specifying their email address.

The `canAddUsersToRooms` permission must be **true** to invite a user to a room.

## Adding a user to a company Rooms account

To invite a user to a company account, use the [Users: InviteUser](/docs/rooms-api/reference/Users/Users/InviteUser/) method.

You must be either an account administrator (Default Admin)
or another authorized user who is assigned
a company role that has one of the following `userPermissions` set to **true:**

* `canAddMemberAndSetRoleLowerAccessLevel`: Users can add other users who have a lower access level than their own and set those users' roles (in offices or regions that they oversee).
* `canAddMemberAndSetRoleSameAccessLevel`: Users can add other users who have the same access level as their own and set those users' roles (in offices or regions that they oversee or belong to).

**Note:** Before you invite users, Docusign strongly recommends that you set up custom roles for your company. For more information, see [Roles](/docs/rooms-api/reference/Roles/Roles/).

## Methods supported

| Method                                                                             | Description                                                                                                 |
| ---------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------- |
| [AddUserToOffice](/docs/rooms-api/reference/users/users/addusertooffice)           | POST `/restapi/v2/accounts/{accountId}/users/{userId}/add_to_office` Adds a user to an office.              |
| [AddUserToRegion](/docs/rooms-api/reference/users/users/addusertoregion)           | POST `/restapi/v2/accounts/{accountId}/users/{userId}/add_to_region` Adds a user to a region.               |
| [GetUser](/docs/rooms-api/reference/users/users/getuser)                           | GET `/restapi/v2/accounts/{accountId}/users/{userId}` Gets a user.                                          |
| [GetUsers](/docs/rooms-api/reference/users/users/getusers)                         | GET `/restapi/v2/accounts/{accountId}/users` Gets a list of users.                                          |
| [InviteUser](/docs/rooms-api/reference/users/users/inviteuser)                     | POST `/restapi/v2/accounts/{accountId}/users/invite_user` Invites a user to a company account.              |
| [LockUser](/docs/rooms-api/reference/users/users/lockuser)                         | POST `/restapi/v2/accounts/{accountId}/users/{userId}/lock` Locks a user's account.                         |
| [ReinviteUser](/docs/rooms-api/reference/users/users/reinviteuser)                 | POST `/restapi/v2/accounts/{accountId}/users/{userId}/reinvite` Reinvites a user to join a company account. |
| [RemoveUser](/docs/rooms-api/reference/users/users/removeuser)                     | DEL `/restapi/v2/accounts/{accountId}/users/{userId}` Removes a user from a company account.                |
| [RemoveUserFromOffice](/docs/rooms-api/reference/users/users/removeuserfromoffice) | POST `/restapi/v2/accounts/{accountId}/users/{userId}/remove_from_office` Removes a user from an office.    |
| [RemoveUserFromRegion](/docs/rooms-api/reference/users/users/removeuserfromregion) | POST `/restapi/v2/accounts/{accountId}/users/{userId}/remove_from_region` Removes a user from a region.     |
| [UnlockUser](/docs/rooms-api/reference/users/users/unlockuser)                     | POST `/restapi/v2/accounts/{accountId}/users/{userId}/unlock` Unlocks a user's account.                     |
| [UpdateUser](/docs/rooms-api/reference/users/users/updateuser)                     | PUT `/restapi/v2/accounts/{accountId}/users/{userId}` Updates a user's default office.                      |

## Users properties

| Property        | Type            | Description                                                                                                                           |
| --------------- | --------------- | ------------------------------------------------------------------------------------------------------------------------------------- |
| `endPosition`   | integer (int32) | The last zero-based index position in the result set.                                                                                 |
| `nextUri`       | string          | The URI for the next chunk of records based on the search request. This property is `null` for the last set of search results.        |
| `priorUri`      | string          | The URI for the previous chunk of records based on the search request. This property is `null` for the first set of search results.   |
| `resultSetSize` | integer (int32) | The number of results returned in this response.                                                                                      |
| `startPosition` | integer (int32) | The starting zero-based index position of the results set. When this property is used as a query parameter, the default value is `0`. |
| `totalRowCount` | integer (int32) | The number of results in this reponse.                                                                                                |
| `userSummaries` | array           | A list of users.                                                                                                                      |